/* Capacitive sensing test code.
 *  Fab Academy 2018 at the Waag in Amsterdam.
 *  Copyeverything, David McCallum, 2018
 *  sintheta.org
 */



#include <CapacitiveSensor.h>
#include <SoftwareSerial.h>
#define rxPin 0
#define txPin 1

const int capMax = 11000;
const int capMin = 0;


SoftwareSerial serial(rxPin, txPin);

CapacitiveSensor   cs_4_3 = CapacitiveSensor(4,3);        // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired
CapacitiveSensor   cs_4_5 = CapacitiveSensor(4,5);        // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired



int a = -1;

void setup() {
  // put your setup code here, to run once:

  serial.begin(9600);
  cs_4_3.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example
  cs_4_5.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example


}

void loop() {
  // put your main code here, to run repeatedly:


    long start = millis();
    int total1 =  cs_4_3.capacitiveSensor(30);
    int total2 =  cs_4_5.capacitiveSensor(30);

    total1 = map(total1, capMin, capMax, 0, 10); 
    total2 = map(total2, capMin, capMax, 0, 10); 
    total1 = constrain(total1, 0, 10);
    total2 = constrain(total2, 0, 10);


/*
    // Print dots

    for (int x = 0; x < 10; x++) {
      if (x <= total1) {serial.print('.');}
      else  {serial.print(' ');}


    }

    serial.print("     ");


    for (int x = 0; x < 10; x++) {
      if (x <= total2) {serial.print('.');}
      else  {serial.print(' ');}


    }

*/    
    


  
  // Print numbers
  
    serial.print(millis() - start);        // check on performance in milliseconds
    serial.print("\t");                    // tab character for debug windown spacing

    serial.print(total1);                  // print sensor output 1
    serial.print("\t");                    // tab character for debug windown spacing

    serial.print(total2);                  // print sensor output 1

    serial.println();

    delay(10);                             // arbitrary delay to limit data to serial port 

    

 

}


